/*   -*- c -*-
 *
 *  ----------------------------------------------------------------------
 *  List for struct type with only one link pointer (x->next).
 *  Prototypes for fuction-only i.e. non-inlined library functions.
 *  ----------------------------------------------------------------------
 *  Created	 : Sun Apr 19 17:25:48 1998 tri
 *  Last modified: Mon Jun 22 19:26:42 1998 tri
 *  ----------------------------------------------------------------------
 *  Copyright  1995-1998
 *  Timo J. Rinne <tri@iki.fi>
 *  All rights reserved.  See file COPYRIGHT for details.
 *
 *  Address: Cirion oy, PO-BOX 250, 00121 Helsinki, Finland
 *  ----------------------------------------------------------------------
 *  Any express or implied warranties are disclaimed.  In no event
 *  shall the author be liable for any damages caused (directly or
 *  otherwise) by the use of this software.
 *
 *  Please, send your patches to <tri@iki.fi>.
 *  ----------------------------------------------------------------------
 *
 * $Id: trq_list_f.h,v 1.1.1.1 2000/10/31 19:59:30 priikone Exp $
 *
 * $Log: trq_list_f.h,v $
 * Revision 1.1.1.1  2000/10/31 19:59:30  priikone
 * 	Imported TRQ and SilList and SilcDList API's.
 *
 * Revision 1.6  1998/06/22 16:27:09  tri
 * Remover _p from in_order function name.
 *
 * Revision 1.5  1998/06/18 14:01:01  tri
 * Added trq_list_in_order_p.
 *
 * Revision 1.4  1998/06/12 21:19:33  tri
 * Added trq_list_insert_in_order.
 *
 * Revision 1.3  1998/04/23 17:51:51  tri
 * SNAFU
 *
 * Revision 1.2  1998/04/23 17:51:23  tri
 * Added insertion sort.
 *
 * Revision 1.1  1998/04/22 22:00:12  tri
 * Initial revision
 *
 *
 */
#ifndef __TRQ_LIST_F__H__
#define __TRQ_LIST_F__H__ 1

int trq_list_quicksort(trq_list *L,
		       trq_compare test,
		       void *context);

int trq_list_mergesort(trq_list *L,
		       trq_compare test,
		       void *context);

int trq_list_bubblesort(trq_list *L,
			trq_compare test,
			void *context);

int trq_list_insertionsort(trq_list *L,
			   trq_compare test,
			   void *context);

int trq_list_insert_in_order(trq_list *L,
			     void *item,
			     trq_compare test,
			     void *context);

int trq_list_in_order(trq_list *L,
		      trq_compare test,
		      void *context);

#endif /* !__TRQ_LIST_F__H__ */
/* eof (trq_list_f.h) */
